Bug 118176 - icon inheritance broken when installing additional kde apps
icon inheritance broken when installing additional kde apps
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-12 14:54 EST by Mark Eggers
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 16:14:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Eggers 2004-03-12 14:54:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Application and action icons are not found for new applications by KDE
after compiling and installing the new KDE application.

Environment:

Qt: 3.3.1
KDE: 3.2.1-0.1 Red Hat

Example:

1. Download the kpovmodeler source (KPovModeler 1.0)
2. Configure (./configure)
3. compile (make)
4. install (make install).
5. execute program (kpovmodeler)

None of the action icons will be present.  The icon place will be
filled in by a blank document icon.

Make install places the icons for the application in:

/usr/share/apps/kpovmodeler/icons/

There are hicolor (16x16/actions, 22x22/actions) and locolor
(16x16/actions) icons.

Copying these icons into /usr/share/icons/hicolor and
/usr/share/icons/locolor does not solve the problem when using the
crystalsvg icon theme even though Inherits=hicolor is present in the
index.theme file for crystalsvg.

Workaround:

Copy all icons to the appropriate subfolder of the active theme.

Of course, this workaround is messy, especially when it comes time to
upgrade the applications.

Desired:

a) Icons to be placed in the proper location on make install
b) Icon inheritance to work so that only one copy need be made


Version-Release number of selected component (if applicable):
kdebase-3.2.1-0.1

How reproducible:
Always

Steps to Reproduce:
1. Download the kpovmodeler source (KPovModeler 1.0)
2. Configure (./configure)
3. compile (make)
4. install (make install).
5. execute program (kpovmodeler)
    

Actual Results:  Icons will not be visible for the actions in
kpovmodeler.  kxmleditor has similar issues.

Expected Results:  Icons should be present for all actions in kpovmodeler.

Additional info:
Comment 1 Matthew Miller 2006-07-11 13:36:36 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 John Thacker 2006-10-25 16:14:42 EDT
Closed per above message and lack of response.  Note that FC1 and FC2 are not even
supported by Fedora Legacy anymore.

Note You need to log in before you can comment on or make changes to this bug.